Pi Engine
=================

Pi is a multi-tenant application development engine for cloud ready SaaS platform.
Pi Engine is developed in PHP and MySQL upon PHP frameworks including [Laminas Project](https://github.com/laminas) and many other PHP project supported by psr-4 standard composer like [Hybridauth](https://github.com/hybridauth/hybridauth), [Phpseclib](https://github.com/phpseclib/phpseclib), [GeoPhp](https://github.com/phayes/geoPHP), [TcPdf](https://github.com/tecnickcom/tcpdf), [Imagine](https://github.com/avalanche123/Imagine), [MongoDB](https://github.com/mongodb/mongo-php-library), [ArangoDB](https://github.com/arangodb/arangodb-php) , [Stripe](https://github.com/stripe/stripe-php), [TwoFactorAuth](https://github.com/RobThree/TwoFactorAuth) and more, Pi use some famous UI frameworks like [jQuery](https://github.com/jquery/jquery), [AngularJS](https://github.com/angular/angular.js), [Bootstrap](https://github.com/twbs/bootstrap), [CKEditor](https://github.com/ckeditor/ckeditor-dev) as well as icons by [FontAwesome](http://fortawesome.github.io/Font-Awesome/icons/).

Pi Engine is an open source project and follows the philosophy of open standard, open design, open development and open management. Pi is born as a complete open source project and intended to build a sustainable ecosystem that benefits all contributors and users.

Pi Engine is developed by [Pi Team](https://github.com/pi-engine/pi/wiki/Pi-Team) initially as a successor to Xoops Project since 2001.

**Try [Latest Stable Release](https://github.com/pi-engine/pi/releases/latest) or [development version](https://github.com/pi-engine/pi/archive/develop.zip)**


Highlights
-------------
1. **Sustainable ecosystem:** A sustainable ecosystem built upon open standard, open source code, open development and open management on Github.
2. **Engineered development:** Quality ensured engineering development with short learning curve, low skill requirements with clean MVC architecture, semantic templating, sophisticated API and strict starndards.
3. **Visualized management:** Easy and responsive application and content management based on visualized management tools and interface with page and widget mechanism.
4. **Agile workflow:** Role oriented architecture and deployment skeleton supports manageable agile development workflow.


Features and practices
----------------------
* Multi-tenancy architecture and SSO/OAuth implementation
* Modularization and built-in support for multi-layer customization
* System components and services for fundamental functions
* Theming for presentation and appearance
* Design-friendly template engine
* DevOps oriented deployment skeleton
* Centralized security enhancement


Quick start
-----------
* Documents at [Pi Wiki](https://github.com/pi-engine/pi/wiki) and [APIs](http://api.piengine.org).
* Download the [latest stable code](https://github.com/pi-engine/pi/releases/latest) and [latest dev code](https://github.com/pi-engine/pi/zipball/develop).
* Clone Pi repo `git clone git://github.com/pi-engine/pi.git`.
* Resources: [Pi modules](https://github.com/pi-module), [Pi themes](https://github.com/pi-theme).
* GIT usage: [README GIT](README-GIT.md)


Development
----------

You may contribute to Pi Engine by [working on Pi code](https://github.com/pi-engine/pi/blob/develop/doc/README-GIT.md) and submit to Pi repo with **[Pull Request](https://help.github.com/articles/using-pull-requests)** or submitting bug reports and feature requests to **[Issue Tracker](https://github.com/pi-engine/pi/issues)**.


Copyright and License
---------------------

The Engine is released under a [BSD 3-Clause License](https://piengine.org/license.txt).


Demo
-----
To many webSites and webApps development by PiEngine, you can see some of them on our [Portfolio](https://github.com/pi-engine/pi/wiki/Portfolio)
