Pi Engine is a role oriented application development engine for web and mobile, designed as the next generation and a successor to Xoops.
Pi is developed upon PHP and MySQL with selected third-party frameworks including but not limited to Zend Framework library, jQuery, Bootstrap and Backbone.

Pi Project follows the philosophy of open standard, open design, open development and open structure. Pi is born as a complete open source project and intended to build a sustainable ecosystem that benefits all contributors and users.

Pi Engine is started by [Taiwen Jiang](http://github.com/taiwen) (Xoops Project Lead and Dev Lead), [Marc Desrousseaux](http://github.com/MarcoXoops) (Xoops QA Lead), [Hossein Azizabadi](http://github.com/voltan) (Xoops Persian Lead), [Kris](http://github.com/krisxoofoo) (Xoops Council Member and Xoops France Lead), etc. [Pi Team](https://github.com/pi-engine/pi/wiki/Pi-Team) is highly inspired by the Xoops led by onokazu (Ono Kazumi), skalpa and phppp (Taiwen Jiang, or D.J.) successively since 2001 and will continue to support and promote Xoops.

The Engine is released under a New BSD License.


Selected features and practices:

1. Modularization for functionality and applications
2. Components for basic libraries and services for fundamental system functions
3. Theming for presentation and appearance
4. Design-friendly templating
5. DevOps oriented architecture
6. Centralized security enhancement


Pi Engine tries to be strict standard compliant, including by not limited to:

1. Versioning - [Semantic Versioning Specification](http://semver.org)
2. PHP - [PSR compliant](https://github.com/php-fig/fig-standards), [Zend Framework Coding Standards](http://framework.zend.com/wiki/display/ZFDEV2/Coding+Standards)
3. HTML/CSS - [Google HTML/CSS Style Guide](http://google-styleguide.googlecode.com/svn/trunk/htmlcssguide.xml)
4. JavaScript - [Google JavaScript Style Guide](http://google-styleguide.googlecode.com/svn/trunk/javascriptguide.xml)
5. All code must be strictly compliant to its corresponding standards, no warning/notice messages allowed


Third-party frameworks utilized in this framework:

1. PHP - [Zend Framework 2](https://github.com/zendframework/zf2)
2. JavaScript - [jQuery](https://github.com/jquery/jquery)
3. CSS/JS - [Bootstrap](https://github.com/twitter/bootstrap)/[Backbone](https://github.com/documentcloud/backbone)


Taiwen Jiang

