<?php
/**
 * Pi Engine (http://piengine.org)
 *
 * @link            http://code.piengine.org for the Pi Engine source repository
 * @copyright       Copyright (c) Pi Engine http://piengine.org
 * @license         http://piengine.org/license.txt BSD 3-Clause License
 */

return [

    // Profile field list
    'field'    => [
        'sample' => [
            'title' => _a('Sample field'),
        ],
    ],

    // Activity list
    'activity' => [
        // Regular activity generated by callback
        'test-callback' => [
            'title'    => _a('Activity by callback'),
            'icon'     => 'fa-code',
            'callback' => 'Module\Demo\Api\UserActivity',
        ],
        // Activity generated by remote callback with template
        'test-template' => [
            'title'    => _a('Activity with template'),
            'icon'     => 'fa-cloud',
            'template' => 'demo-user-activity',
            'callback' => Pi::url(
                Pi::service('url')->assemble(
                    'default',
                    [
                        'module'     => 'demo',
                        'controller' => 'activity',
                        'action'     => 'get',
                    ]
                ),
                true
            ),
        ],
        // Activity by external link jump
        'test-external' => [
            'title'    => _a('Activity to external'),
            'icon'     => 'fa-external-link',
            'callback' => 'Module\Demo\Api\UserActivityExternal',
        ],
    ],
];
